@Echo Off

Rem   ---------------------------------------------------------------------------
Rem  JOnAS: Java(TM) Open Application Server
REM Copyright (C) 1999-2008 Bull S.A.S.
Rem  Contact: jonas-team@ow2.org
Rem
Rem  This library is free software; you can redistribute it and/or
Rem  modify it under the terms of the GNU Lesser General Public
Rem  License as published by the Free Software Foundation; either
Rem  version 2.1 of the License, or any later version.
Rem
Rem  This library is distributed in the hope that it will be useful,
Rem  but WITHOUT ANY WARRANTY; without even the implied warranty of
Rem  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Rem  Lesser General Public License for more details.
Rem
Rem  You should have received a copy of the GNU Lesser General Public
Rem  License along with this library; if not, write to the Free Software
Rem  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
Rem  USA
Rem
Rem   ---------------------------------------------------------------------------
Rem   $Id$
Rem   ---------------------------------------------------------------------------

Rem  Initial developer(s): Helene Joanin
Rem  Contributor(s):
Rem	   00/22/05  Roland Kamsikav (email: Roland.Kamsika@amonite.co.uk)
Rem	              Versions of this script created from a contribution
Rem               of Roland Kamsika
Rem	             (Portions provided by Anatole Tresch & R\x{FFFD}diger Breit)
Rem    02/09/06  Emmanuel Cecchet: %JAVA_OPTS% as last parameter for jvm
Rem    04/11/25  Stephane Bailliez: use %* instead of %1 %2 ... to parse arguments
Rem

Rem Keep variables local to this script
setlocal

Rem  Check environment variables:
if ["%JONAS_ROOT%"]==[""] Goto SetRoot

call "%JONAS_ROOT%\bin\nt\setenv.bat"
echo JONAS_BASE is set to %JONAS_BASE%

if ["%JONAS_CLASSPATH%"]==[""] goto set_cp_empty
Set JONAS_CLASSPATH=%JONAS_ROOT%\lib\common\ow_jonas_bootstrap.jar;%JONAS_CLASSPATH%

:set_opts
Set JAVA_OPTS=%JAVA_OPTS% -Djonas.root="%JONAS_ROOT%" -Djonas.base="%JONAS_BASE%" -Djava.security.policy="%JONAS_BASE%\conf\java.policy"
set JAVA_OPTS=%JAVA_OPTS% -Djava.endorsed.dirs="%JONAS_ROOT%\lib\endorsed"
%JAVA% -cp "%JONAS_CLASSPATH%" %JAVA_OPTS% org.ow2.jonas.lib.bootstrap.Bootstrap org.ow2.jonas.generators.genic.GenIC %*
Goto End

:set_cp_empty
Set JONAS_CLASSPATH=%JONAS_ROOT%\lib\common\ow_jonas_bootstrap.jar
goto set_opts

:SetRoot
@echo "JONAS_ROOT must be set"
Goto End

:End

